Index: tmp/org.txm.core/src/java/org/txm/objects/CorpusBuild.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/CorpusBuild.java	(revision 2482)
+++ tmp/org.txm.core/src/java/org/txm/objects/CorpusBuild.java	(revision 2483)
@@ -33,6 +33,7 @@
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.HashMap;
+import java.util.HashSet;
 import java.util.List;
 
 import org.eclipse.core.runtime.IProgressMonitor;
@@ -472,35 +473,50 @@
 	// }
 	
 	public boolean export(File exportzip) {
-		return export(exportzip, null);
+		return export(exportzip, null, null);
 	}
 	
-	/**
-	 * Export.
-	 *
-	 * @param exportzip the exportzip
-	 * @return true, if successful
-	 */
-	public boolean export(File exportzip, IProgressMonitor monitor) {
-		File binarydir = this.getProjectDirectory();
-		if (binarydir.exists() && exportzip.getParentFile().exists()) {
+	public boolean export(File exportzip, IProgressMonitor monitor, HashSet<String> ignore) {
+		if (this.getProject() != null) {
 			try {
-				Zip.compress(binarydir, exportzip, monitor);
+				this.getProject().saveParameters(true); // write parameters in preferences
+				this.getProject().persist(true); // save preferences
+				return this.getProject().export(exportzip, monitor, ignore);
 			}
-			catch (IOException e) {
-				org.txm.utils.logger.Log.printStackTrace(e);
-				return false;
+			catch (Exception e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
 			}
-			return true;
 		}
-		else {
-			System.out.println(NLS.bind(TXMCoreMessages.binaryDirectoryP0NotFound, binarydir));
-			System.out.println(NLS.bind(TXMCoreMessages.parentDirectoryP0NotFound, exportzip.getParentFile()));
-			
-		}
 		return false;
 	}
 	
+	// /**
+	// * Export.
+	// *
+	// * @param exportzip the exportzip
+	// * @return true, if successful
+	// */
+	// public boolean export(File exportzip, IProgressMonitor monitor) {
+	// File binarydir = this.getProjectDirectory();
+	// if (binarydir.exists() && exportzip.getParentFile().exists()) {
+	// try {
+	// Zip.compress(binarydir, exportzip, monitor);
+	// }
+	// catch (IOException e) {
+	// org.txm.utils.logger.Log.printStackTrace(e);
+	// return false;
+	// }
+	// return true;
+	// }
+	// else {
+	// System.out.println(NLS.bind(TXMCoreMessages.binaryDirectoryP0NotFound, binarydir));
+	// System.out.println(NLS.bind(TXMCoreMessages.parentDirectoryP0NotFound, exportzip.getParentFile()));
+	//
+	// }
+	// return false;
+	// }
+	
 	/**
 	 * Gets the import metadata.
 	 *
Index: tmp/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 2482)
+++ tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 2483)
@@ -34,6 +34,7 @@
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.HashMap;
+import java.util.HashSet;
 import java.util.List;
 
 import javax.xml.parsers.ParserConfigurationException;
@@ -799,7 +800,7 @@
 	}
 	
 	public boolean export(File exportzip) {
-		return export(exportzip, null);
+		return export(exportzip, null, null);
 	}
 	
 	/**
@@ -808,14 +809,14 @@
 	 * @param exportzip the exportzip
 	 * @return true, if successful
 	 */
-	public boolean export(File exportzip, IProgressMonitor monitor) {
+	public boolean export(File exportzip, IProgressMonitor monitor, HashSet<String> ignore) {
 		File binarydir = this.getProjectDirectory();
 		
 		if (binarydir.exists() && exportzip.getParentFile().exists()) {
 			this.save();
 			
 			try {
-				Zip.compress(binarydir, exportzip, monitor);
+				Zip.compress(binarydir, exportzip, monitor, ignore);
 			}
 			catch (IOException e) {
 				org.txm.utils.logger.Log.printStackTrace(e);
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 2482)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 2483)
@@ -289,42 +289,6 @@
 	}
 	
 	/**
-	 * Export.
-	 *
-	 * @param exportzip the exportzip
-	 * @return true, if successful
-	 */
-	@Override
-	public boolean export(File exportzip) {
-		return export(exportzip, null);
-	}
-	
-	
-	
-	
-	/**
-	 * Export.
-	 *
-	 * @param exportzip the exportzip
-	 * @return true, if successful
-	 */
-	@Override
-	public boolean export(File exportzip, IProgressMonitor monitor) {
-		if (this.getProject() != null) {
-			try {
-				this.getProject().saveParameters(true); // write parameters in preferences
-				this.getProject().persist(true); // save preferences
-				return this.getProject().export(exportzip, monitor);
-			}
-			catch (Exception e) {
-				// TODO Auto-generated catch block
-				e.printStackTrace();
-			}
-		}
-		return false;
-	}
-	
-	/**
 	 * Find text no.
 	 *
 	 * @param textid the textid
